Page({
  data: {
    // 地区
    addrArray: [],
    addrObj: [],
    addrIndex: 0,
    // 学科
    subjectArray: [],
    subjectObj: [],
    subjectIndex: 0,
    // 毕业时间
    yearArray: ['2022', '2021', '2020','2019'],
    yearIndex: 0,
    sexArray: ['未知','男', '女'],
    sexIndex: 0,
    mobile:	'',//电话
    studentName:	'',//姓名
    student_gender:	'',//性别
    student_native: '', //考籍（省级）编号
    student_native_str:	'',//考籍（省级）名称
    student_subject: '',//选科组合（选科ID，多个用英文逗号分割）
    student_exam_year: '',//高考年份
    achievement_arts: '',//艺考成绩，-1表示未考（用户留空时默认传值为-1）
    achievement_PE:'',//体考成绩，-1表示未考（用户留空时默认传值为-1）
    achievement_expect:'',//预估或模考成绩
    province_ranking: '',//预估/省内排名
    achievement_high: '',//高考成绩，-1表示未考（用户留空时默认传值为-1）
    studentInfo: []
  },
  onLoad() {
    this.getAddrArray();
    this.getSubjectArray();
    dd.setNavigationBar({
      title: '完善考生信息',
      backgroundColor: '#FFFFFF',
    });
  },
  bindStudentName(e) {
      this.data.studentName = e.detail.value
  },
  bindMobile(e) {
      this.data.mobile = e.detail.value
  },
  // 获取地区
  getAddrArray(){
    let params = {
      pcode: 86
    };
    let token = '';
    dd.getStorage({
      key: 'token',
      success: (res)=> {
        // dd.alert({content: '获取成功：' + res.data.authCode});
        token = res.data.token;
        dd.utils.$http('/api/area/index','GET',params,token).then(
          (data) => {
            let list = data.data.data;
            let newArray = [];
            list.forEach(item=>{
              let obj = {
                code: item.code,
                name: item.name
              }
              newArray.push(obj.name);
              this.data.addrObj.push(obj);
            })
            this.setData({
              addrArray: newArray
            })
          },
          (err) => { 
            console.log('错误:'+err);
          }
        );
      },
      fail: (res)=>{
        dd.alert({content: res.errorMessage});
      }
    });
  },
  // 获取选科
  getSubjectArray(){
    let params = {
      type: 0
    };
    let token = '';
    dd.getStorage({
      key: 'token',
      success: (res)=> {
        // dd.alert({content: '获取成功：' + res.data.authCode});
        token = res.data.token;
        dd.utils.$http('/api/dictionary/subjects','GET',params,token).then(
          (data) => {
            console.log(data,22)
            // let list = data.data.data;
            // let newArray = [];
            // list.forEach(item=>{
            //   let obj = {
            //     code: item.code,
            //     name: item.name
            //   }
            //   newArray.push(obj.name);
            //   this.data.addrObj.push(obj);
            // })
            // this.setData({
            //   subjectArrayy: newArray
            // })
          },
          (err) => { 
            console.log('错误:'+err);
          }
        );
      },
      fail: (res)=>{
        dd.alert({content: res.errorMessage});
      }
    });
  },

  bindAddrChange(e) {
    // console.log('picker发送选择改变，携带值为', e.detail.value);
    this.setData({
      addrIndex: e.detail.value,
    });
  },
  bindYearChange(e) {
    // console.log('picker发送选择改变，携带值为', e.detail.value);
    this.setData({
      yearIndex: e.detail.value,
    });
  },
  bindSexChange(e) {
    // console.log('picker发送选择改变，携带值为', e.detail.value);
    this.setData({
      sexIndex: e.detail.value,
    });
  },

  // 完善考生信息
  getStudentInfo(){
    let params = {
      mobile:	this.data.mobile,//电话
      student_name:	this.data.studentName,//姓名
      student_gender:	this.data.sexIndex,//性别
      student_native: this.data.addrObj[this.data.addrIndex].code, //考籍（省级）编号
      student_native_str:	this.data.addrObj[this.data.addrIndex].name,//考籍（省级）名称
      student_subject: '',//选科组合（选科ID，多个用英文逗号分割）
      student_exam_year: '',//高考年份
      achievement_arts: '',//艺考成绩，-1表示未考（用户留空时默认传值为-1）
      achievement_PE:'',//体考成绩，-1表示未考（用户留空时默认传值为-1）
      achievement_expect:'',//预估或模考成绩
      province_ranking: '',//预估/省内排名
      achievement_high: '',//高考成绩，-1表示未考（用户留空时默认传值为-1）
    };
    console.log(params,2255)
    let token = '';
    dd.getStorage({
      key: 'token',
      success: (res)=> {
        // dd.alert({content: '获取成功：' + res.data.authCode});
        token = res.data.token;
        dd.utils.$http('/api/user/edit-student-info','POST',params,token).then(
          (data) => {
            let list = data.data.data;
            console.log(list,999);
            let newArray = [];
            let array = {
                
              }
            newArray = array;
            this.setData({
              studentInfo: newArray
            })
          },
          (err) => { 
            console.log('错误:'+err);
          }
        );
      },
      fail: (res)=>{
        dd.alert({content: res.errorMessage});
      }
    });
  }
});
